lists.openwall.net   lists  /  announce  owl-users  owl-dev  john-users  john-dev  passwdqc-users  yescrypt  popa3d-users  /  oss-security  kernel-hardening  musl  sabotage  tlsify  passwords  /  crypt-dev  xvendor  /  Bugtraq  Full-Disclosure  linux-kernel  linux-netdev  linux-ext4  linux-hardening  linux-cve-announce  PHC 
Open Source and information security mailing list archives
 
Hash Suite: Windows password security audit tool. GUI, reports in PDF.
[<prev] [next>] [day] [month] [year] [list]
Date: Fri, 5 Jan 2007 12:48:32 +0100
From: Uwe Hermann <uwe@...mann-uwe.de>
To: bugtraq@...urityfocus.com, full-disclosure@...ts.grok.org.uk,
	phpsec@...arch.com
Subject: [DRUPAL-SA-2007-001] Drupal 4.6.11 / 4.7.5 fixes XSS issue

----------------------------------------------------------------------------
Drupal security advisory                                  DRUPAL-SA-2007-001
----------------------------------------------------------------------------
Project:          Drupal core.
Date:             2007-Jan-05.
Security risk:    Less critical.
Exploitable from: Remote.
Vulnerability:    Cross site scripting.
----------------------------------------------------------------------------
 
Description
-----------
A few arguments passed via URLs are not properly sanitized before display. 
When an attacker is able to entice an administrator to follow a specially 
crafted link, arbitrary HTML and script code can be injected and executed in 
the victim's session. Such an attack may lead to administrator access if 
certain conditions are met.

 
Versions affected
-----------------
- Drupal 4.6.x versions before Drupal 4.6.11
- Drupal 4.7.x versions before Drupal 4.7.5

Solution
--------
- If you are running Drupal 4.6.x then upgrade to Drupal 4.6.11.
   http://ftp.osuosl.org/pub/drupal/files/projects/drupal-4.6.11.tar.gz
- If you are running Drupal 4.7.x then upgrade to Drupal 4.7.5.
   http://ftp.osuosl.org/pub/drupal/files/projects/drupal-4.7.5.tar.gz

- To patch Drupal 4.6.10 use http://drupal.org/files/sa-2007-001/4.6.10.patch.
- To patch Drupal 4.7.4 use http://drupal.org/files/sa-2007-001/4.7.4.patch.

Please note that the patches only contain changes related to this advisory, and 
do not fix bugs that were solved in 4.6.11 or 4.7.5.

Reported by
-----------
Anonymous via JPCERT.

Contact
-------
The security contact for Drupal can be reached at security at drupal.org or 
using the form at http://drupal.org/contact.


// Uwe Hermann, on behalf of the Drupal Security Team.
-- 
http://www.hermann-uwe.de  | http://www.holsham-traders.de
http://www.crazy-hacks.org | http://www.unmaintained-free-software.org

Download attachment "signature.asc" of type "application/pgp-signature" (190 bytes)

Powered by blists - more mailing lists